FetchReturn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Class FetchReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn
          org.hibernate.loader.custom.FetchReturn

All Implemented Interfaces:
  Return

Direct Known Subclasses:
  CollectionFetchReturn, EntityFetchReturn

    public abstract class FetchReturn

extends NonScalarReturn

Represents a return which names a fetched association.

Constructor Summary
`FetchReturn(NonScalarReturn owner, String ownerProperty, String alias, LockMode lockMode)` Creates a return descriptor for an association fetch.

Method Summary
`NonScalarReturn` | `getOwner()` Retrieves the return descriptor for the owner of this fetch.
`String` | `getOwnerProperty()` The name of the property on the owner which represents this association.

Methods inherited from class org.hibernate.loader.custom.NonScalarReturn
`getAlias, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchReturn

    public FetchReturn(NonScalarReturn owner,
                       String ownerProperty,
                       String alias,
                       LockMode lockMode)

  Creates a return descriptor for an association fetch.

  Parameters:
    `owner` - The return descriptor for the owner of the fetch
    `ownerProperty` - The name of the property represernting the association being fetched
    `alias` - The alias for the fetch
    `lockMode` - The lock mode to apply to the fetched association.

Method Detail

### getOwner

    public NonScalarReturn getOwner()

  Retrieves the return descriptor for the owner of this fetch.

  Returns:
    The owner

### getOwnerProperty

    public String getOwnerProperty()

  The name of the property on the owner which represents this association.

  Returns:
    The property name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.